Name:                icc-profiles-openicc
Version:             1.3.1
Release:             1
Summary:             The OpenICC profiles
License:             zlib
URL:                 http://www.freedesktop.org/wiki/OpenIcc
Source0:             http://downloads.sourceforge.net/project/openicc/OpenICC-Profiles/%{name}-%{version}.tar.bz2
BuildArch:           noarch
BuildRequires:       color-filesystem
Requires:            color-filesystem
%description
The OpenICC profiles are provided to serve color managed
applications and services.

%prep
%setup -q

%build
%configure --enable-verbose
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/{pixmaps,mime/packages}
install -pm 0644 *.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

%files
%doc AUTHORS ChangeLog COPYING
%doc default_profiles/base/LICENSE-ZLIB
%doc default_profiles/base/LICENSE-ZLIB-LSTAR
%dir %{_icccolordir}/OpenICC
%{_icccolordir}/OpenICC/compatibleWithAdobeRGB1998.icc
%{_icccolordir}/OpenICC/sRGB.icc
%{_icccolordir}/OpenICC/ProPhoto-RGB.icc
%dir %{_icccolordir}/Oyranos
%{_icccolordir}/Oyranos/Gray-CIE_L.icc
%{_icccolordir}/Oyranos/Gray_linear.icc
%{_icccolordir}/Oyranos/ITULab.icc
%dir %{_icccolordir}/basICColor
%{_icccolordir}/basICColor/LStar-RGB.icc
%dir %{_icccolordir}/lcms
%{_icccolordir}/lcms/LCMSLABI.ICM
%{_icccolordir}/lcms/LCMSXYZI.ICM
%{_icccolordir}/lcms/Lab.icc
%{_icccolordir}/lcms/XYZ.icc
%dir %{_colordir}/target
%dir %{_colordir}/target/NPES
%{_colordir}/target/NPES/TR002.ti3
%{_colordir}/target/NPES/TR003.ti3
%{_colordir}/target/NPES/TR005.ti3
%{_colordir}/target/NPES/TR006.ti3
%dir %{_colordir}/target/fogra
%{_colordir}/target/fogra/FOGRA28L.ti3
%{_colordir}/target/fogra/FOGRA29L.ti3
%{_colordir}/target/fogra/FOGRA30L.ti3
%{_colordir}/target/fogra/FOGRA39L.ti3
%{_colordir}/target/fogra/FOGRA40L.ti3
%{_datadir}/icons/application-vnd.iccprofile.png
%{_datadir}/icons/text-vnd.cgats.png
%{_datadir}/mime/packages/x-color-cgats.xml
%exclude %{_datadir}/mime/packages/x-color-icc.xml
%{_datadir}/pixmaps/application-vnd.iccprofile.png
%{_datadir}/pixmaps/%{name}_logo.png
%{_datadir}/pixmaps/text-vnd.cgats.png

%changelog
* Mon Aug 24 2020 huanghaitao <huanghaitao8@huawei.com> - 1.3.1-1
- package init
